# Uses of Class
org.eclipse.swt.widgets.CoolBar

Packages that use CoolBar
Package
Description
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.menus
Provides support for trim specification.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of CoolBar in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return CoolBar
Modifier and Type
Method
Description
`CoolBar`
CoolBarManager.`createControl(Composite parent)`
Creates and returns this manager's cool bar control.
`CoolBar`
CoolBarManager.`getControl()`
Returns the cool bar control for this manager.
Methods in org.eclipse.jface.action with parameters of type CoolBar
Modifier and Type
Method
Description
`void`
ContributionItem.`fill(CoolBar parent, int index)`
The default implementation of this `IContributionItem` method does nothing.
`void`
IContributionItem.`fill(CoolBar parent, int index)`
Fills the given cool bar with controls representing this contribution item.
`void`
MenuManager.`fill(CoolBar parent, int index)`
`void`
SubContributionItem.`fill(CoolBar parent, int index)`
`void`
SubMenuManager.`fill(CoolBar parent, int index)`
`void`
ToolBarContributionItem.`fill(CoolBar coolBar, int index)`
Constructors in org.eclipse.jface.action with parameters of type CoolBar
Modifier
Constructor
Description
``
`CoolBarManager(CoolBar coolBar)`
Creates a cool bar manager for an existing cool bar control.

## Uses of CoolBar in org.eclipse.jface.menus

Methods in org.eclipse.jface.menus with parameters of type CoolBar
Modifier and Type
Method
Description
`void`
AbstractTrimWidget.`fill(CoolBar parent, int index)`
`void`
IWidget.`fill(CoolBar parent, int index)`
Fills the given cool bar with controls representing this contribution item.

## Uses of CoolBar in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return CoolBar
Modifier and Type
Method
Description
`CoolBar`
CoolItem.`getParent()`
Returns the receiver's parent, which must be a `CoolBar`.
Constructors in org.eclipse.swt.widgets with parameters of type CoolBar
Modifier
Constructor
Description
``
`CoolItem(CoolBar parent, int style)`
Constructs a new instance of this class given its parent (which must be a `CoolBar`) and a style value describing its behavior and appearance.
``
`CoolItem(CoolBar parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `CoolBar`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.